<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
xmlns:app="http://schemas.android.com/apk/res-auto"
xmlns:tools="http://schemas.android.com/tools"
android:id="@+id/nav_blockdata_x_file_feature"
app:startDestination="@id/EncryptBDTF">

<fragment
    android:id="@+id/EncryptBDTF"
    android:name="com.gojek.app.stringXfile.F1EncryptStringToFromFileFragment"
    android:label="Encrypt"
    tools:layout="@layout/fragment_f1_encrypt_block_data_x_file">

    <action
        android:id="@+id/action_EncryptBDTF_to_ChangePassBDTF"
        app:destination="@id/ChangePassBDTF" />

    <action
        android:id="@+id/action_EncryptBDTF_to_DecryptBDTF"
        app:destination="@id/DecryptBDTF" />
</fragment>

<fragment
    android:id="@+id/ChangePassBDTF"
    android:name="com.gojek.app.stringXfile.F2ChangePasswordStringToFromFileFragment"
    android:label="Change Password"
    tools:layout="@layout/fragment_f2_change_pass_block_data_x_file">

    <action
        android:id="@+id/action_ChangePassBDTF_to_EncryptBDTF"
        app:destination="@id/EncryptBDTF" />

    <action
        android:id="@+id/action_ChangePassBDTF_to_DecryptBDTF"
        app:destination="@id/DecryptBDTF" />
</fragment>

<fragment
    android:id="@+id/DecryptBDTF"
    android:name="com.gojek.app.stringXfile.F3DecryptStringToFromFileFragment"
    android:label="Decrypt"
    tools:layout="@layout/fragment_f3_decrypt_block_data_x_file">

    <action
        android:id="@+id/action_DecryptBDTF_to_EncryptBDTF"
        app:destination="@id/EncryptBDTF" />

    <action
        android:id="@+id/action_DecryptBDTF_to_ChangePassBDTF"
        app:destination="@id/ChangePassBDTF" />

</fragment>
</navigation>